Commit f2b41372 authored by Vitaly Lipatov's avatar Vitaly Lipatov

commit packed 3.27.4

parent aec56931
...@@ -366,7 +366,7 @@ set_sudo() ...@@ -366,7 +366,7 @@ set_sudo()
else else
# use sudo if one is tuned and tuned without password # use sudo if one is tuned and tuned without password
if ! $SUDO_CMD -l -n >/dev/null 2>/dev/null ; then if ! $SUDO_CMD -l -n >/dev/null 2>/dev/null ; then
[ "$nofail" = "nofail" ] || SUDO="fatal 'Can't use sudo (only passwordless sudo is supported). Please run epm under root or check http://altlinux.org/sudo.'" [ "$nofail" = "nofail" ] || SUDO="fatal 'Can't use sudo (only passwordless sudo is supported). Please run epm under root or check http://altlinux.org/sudo '"
return "$SUDO_TESTED" return "$SUDO_TESTED"
fi fi
fi fi
...@@ -4016,7 +4016,7 @@ __list_installed_packages() ...@@ -4016,7 +4016,7 @@ __list_installed_packages()
__get_app_description() __get_app_description()
{ {
__run_script "$1" --description 2>/dev/null __run_script "$1" --description "$2" 2>/dev/null
} }
__check_play_script() __check_play_script()
...@@ -4072,18 +4072,20 @@ __epm_play_list() ...@@ -4072,18 +4072,20 @@ __epm_play_list()
local psdir="$1" local psdir="$1"
local i local i
local IGNOREi586 local IGNOREi586
[ "$($DISTRVENDOR -a)" = "x86_64" ] && IGNOREi586='' || IGNOREi586=1 local arch="$($DISTRVENDOR -a)"
[ "$arch" = "x86_64" ] && IGNOREi586='' || IGNOREi586=1
if [ -n "$short" ] ; then if [ -n "$short" ] ; then
for i in $(__list_all_app) ; do for i in $(__list_all_app) ; do
local desc="$(__get_app_description $i)" local desc="$(__get_app_description $i $arch)"
[ -n "$desc" ] || continue [ -n "$desc" ] || continue
echo "$i" echo "$i"
done done
exit exit
fi fi
for i in $(__list_all_app) ; do for i in $(__list_all_app) ; do
local desc="$(__get_app_description $i)" local desc="$(__get_app_description $i $arch)"
[ -n "$desc" ] || continue [ -n "$desc" ] || continue
[ -n "$quiet" ] || echo -n " " [ -n "$quiet" ] || echo -n " "
printf "%-20s - %s\n" "$i" "$desc" printf "%-20s - %s\n" "$i" "$desc"
...@@ -4211,6 +4213,9 @@ fi ...@@ -4211,6 +4213,9 @@ fi
prescription="$1" prescription="$1"
shift shift
update_repo_if_needed
if __check_play_script "$prescription" ; then if __check_play_script "$prescription" ; then
#__is_app_installed "$prescription" && info "$$prescription is already installed (use --remove to remove)" && exit 1 #__is_app_installed "$prescription" && info "$$prescription is already installed (use --remove to remove)" && exit 1
__epm_play_run "$prescription" --run "$@" && __save_installed_app "$prescription" || fatal "There was some error during install the application." __epm_play_run "$prescription" --run "$@" && __save_installed_app "$prescription" || fatal "There was some error during install the application."
...@@ -11327,7 +11332,7 @@ Examples: ...@@ -11327,7 +11332,7 @@ Examples:
print_version() print_version()
{ {
echo "EPM package manager version 3.27.2 https://wiki.etersoft.ru/Epm" echo "EPM package manager version 3.27.4 https://wiki.etersoft.ru/Epm"
echo "Running on $($DISTRVENDOR -e) ('$PMTYPE' package manager uses '$PKGFORMAT' package format)" echo "Running on $($DISTRVENDOR -e) ('$PMTYPE' package manager uses '$PKGFORMAT' package format)"
echo "Copyright (c) Etersoft 2012-2022" echo "Copyright (c) Etersoft 2012-2022"
echo "This program may be freely redistributed under the terms of the GNU AGPLv3." echo "This program may be freely redistributed under the terms of the GNU AGPLv3."
...@@ -11337,7 +11342,7 @@ print_version() ...@@ -11337,7 +11342,7 @@ print_version()
Usage="Usage: epm [options] <command> [package name(s), package files]..." Usage="Usage: epm [options] <command> [package name(s), package files]..."
Descr="epm - EPM package manager" Descr="epm - EPM package manager"
EPMVERSION=3.27.2 EPMVERSION=3.27.4
verbose=$EPM_VERBOSE verbose=$EPM_VERBOSE
quiet= quiet=
nodeps= nodeps=
......
...@@ -356,7 +356,7 @@ set_sudo() ...@@ -356,7 +356,7 @@ set_sudo()
else else
# use sudo if one is tuned and tuned without password # use sudo if one is tuned and tuned without password
if ! $SUDO_CMD -l -n >/dev/null 2>/dev/null ; then if ! $SUDO_CMD -l -n >/dev/null 2>/dev/null ; then
[ "$nofail" = "nofail" ] || SUDO="fatal 'Can't use sudo (only passwordless sudo is supported). Please run epm under root or check http://altlinux.org/sudo.'" [ "$nofail" = "nofail" ] || SUDO="fatal 'Can't use sudo (only passwordless sudo is supported). Please run epm under root or check http://altlinux.org/sudo '"
return "$SUDO_TESTED" return "$SUDO_TESTED"
fi fi
fi fi
...@@ -2327,7 +2327,7 @@ print_version() ...@@ -2327,7 +2327,7 @@ print_version()
local on_text="(host system)" local on_text="(host system)"
local virt="$($DISTRVENDOR -i)" local virt="$($DISTRVENDOR -i)"
[ "$virt" = "(unknown)" ] || [ "$virt" = "(host system)" ] || on_text="(under $virt)" [ "$virt" = "(unknown)" ] || [ "$virt" = "(host system)" ] || on_text="(under $virt)"
echo "Service manager version 3.27.2 https://wiki.etersoft.ru/Epm" echo "Service manager version 3.27.4 https://wiki.etersoft.ru/Epm"
echo "Running on $($DISTRVENDOR -e) $on_text with $SERVICETYPE" echo "Running on $($DISTRVENDOR -e) $on_text with $SERVICETYPE"
echo "Copyright (c) Etersoft 2012-2021" echo "Copyright (c) Etersoft 2012-2021"
echo "This program may be freely redistributed under the terms of the GNU AGPLv3." echo "This program may be freely redistributed under the terms of the GNU AGPLv3."
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment